using namespace std;

#include <iostream>
#include <unordered_set>
#include "testlib.h"

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);

    int max_n = opt<int>("n");
    int max_n_w = opt<int>("nw");


    int n = 2 + rnd.wnext(max_n - 1, max_n_w);
    int m = n * (n - 1) / 2;

    printf("%d %d\n", n, m);

    vector <pair<int, int>> edges;

    for (int i = 1; i <= n; ++i) {
        for (int j = i + 1; j <= n; ++j) {
            edges.emplace_back(i, j);
        }
    }
    shuffle(edges.begin(), edges.end());
    for (int i = 0; i < m; ++i) {
        if (rnd.next(0, 1) == 1) {
            printf("%d %d\n", edges[i].first, edges[i].second);
        } else {
            printf("%d %d\n", edges[i].second, edges[i].first);
        }
    }

    return 0;
}
