using namespace std;

#include <bits/stdc++.h>

#define ll long long
#define ull unsigned ll
#define ld long double
#define pb push_back
#define mp make_pair
#define fori(i, n) for (int i = 0; i < n; ++i)
#define fori1(i, n) for (int i = 1; i <= n; ++i)
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define sqr(x) (x)*(x)
#define db_(x) cout << x << ' ';
#define db(x) cout << x << '\n';


void solver() {
    int n, m;
    cin >> n >> m;
    vector <pair<int, int>> edges(m);
    fori(i, m) {
        cin >> edges[i].first >> edges[i].second;
    }

    pair<ll, int> max_ans(0, 0);
    fori(i, 1 << m) {
        vector<int> degs_in(n + 1);
        vector<int> degs_out(n + 1);
        fori(j, m) {
            bool straight = i & (1 << j);
            if (straight) {
                degs_in[edges[j].second]++;
                degs_out[edges[j].first]++;
            } else {
                degs_in[edges[j].first]++;
                degs_out[edges[j].second]++;
            }
        }
        ll cur_ans = 0;
        fori1(k, n) {
            cur_ans += degs_in[k] * degs_out[k];
        }
        max_ans = max(max_ans, mp(cur_ans, i));
    }

    cout << max_ans.first << "\n";
    fori(j, m) {
        pair<int, int> cur_e = edges[j];
        if ((max_ans.second & (1 << j)) > 0) {
            cur_e.first = edges[j].second;
            cur_e.second = edges[j].first;
        }
        cout << cur_e.first << " " << cur_e.second << "\n";
    }
    cout << "\n";
}

int main() {
#ifdef _DEBUG_INPUT_FILE
    freopen("test.in", "r", stdin);
#endif
    //    ios_base::sync_with_stdio(false);
    //    cin.tie(nullptr);
    //    cout.tie(nullptr);


    int q = 1;
//    cin >> q;
    fori(i, q) {
        solver();
        cout << '\n';
    }
}