using namespace std;

#include <bits/stdc++.h>

#define ll long long
#define ull unsigned ll
#define ld long double
#define pb push_back
#define mp make_pair
#define fori(i, n) for (int i = 0; i < n; ++i)
#define fori1(i, n) for (int i = 1; i <= n; ++i)
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define sqr(x) (x)*(x)
#define db_(x) cout << x << ' ';
#define db(x) cout << x << '\n';


// a < b
bool big_int_compare(const vector<int> &a, const vector<int> &b) {
    if (a.size() != b.size()) {
        return a.size() < b.size();
    }
    for (int i = 0; i < a.size(); ++i) {
        if (a[i] != b[i]) {
            return a[i] < b[i];
        }
    }
    return false;
}

void remove_better(const vector<int> &n, int begin, int remains, vector<int> &new_n) {
    int k = n.size();
    int better = -1;
    for (int i = begin; i < k - 1; ++i) {
        if (better == -1 && n[i] % 3 == remains && n[i] < n[i + 1]) {
            better = i;
        }
    }

    if (better == -1) {
        for (int i = k - 1; i >= begin; --i) {
            if (n[i] % 3 == remains) {
                better = i;
                break;
            }
        }
    }
    int zero_prefix = begin;
    if (zero_prefix == better) { ++zero_prefix; }
    while (zero_prefix < k && n[zero_prefix] == 0) {
        ++zero_prefix;
        if (zero_prefix == better) { ++zero_prefix; }
    }
    for (int i = zero_prefix; i < n.size(); ++i) {
        if (i != better) {
            new_n.pb(n[i]);
        }
    }
}

void print_v(const vector<int> &a) {
    if (a.empty()) {
        cout << 0;
    }
    for (short i : a) {
        cout << i;
    }
}

ll solver() {
    int k;
    cin >> k;
    int sum_n = 0;
    vector<int> n(k);
    vector<int> mods(3);
    for (int i = 0; i < k; ++i) {
        char t;
        cin >> t;
        n[i] = t - '0';
        sum_n += n[i];
        ++mods[n[i] % 3];
    }

    if (sum_n % 3 == 0) {
        print_v(n);
        return 0;
    }

    bool special_case = false;
    int special_case_zb = k;
    int special_case_ze = k;
    if (k >= 4) {
        for (int i = 1; i <= 2; ++i) {
            if (n[i] == 0) {
                special_case_zb = i;
                break;
            }
        }
        if (special_case_zb < k) {
            special_case = true;
            special_case_ze = special_case_zb;
            while (special_case_ze < k && n[special_case_ze] == 0) {
                ++special_case_ze;
            }
        }
    }

    vector<int> ans;
    if (mods[sum_n % 3] >= 1) {
        int search_mod = sum_n % 3;
        remove_better(n, 0, search_mod, ans);
    } else if (mods[(sum_n * 2) % 3] >= 2) {
        int search_mod = (sum_n % 3) * 2 % 3;
        vector<int> ans_it_1;
        remove_better(n, 0, search_mod, ans_it_1);
        remove_better(ans_it_1, 0, search_mod, ans);
    }

    if (special_case) {
        mods[1] = 0;
        mods[2] = 0;
        for (int i = special_case_ze; i < k; ++i) {
            ++mods[n[i] % 3];
        }

        if (mods[sum_n % 3] >= 1) {
            int search_mod = sum_n % 3;
            vector<int> new_ans(n.begin(), n.begin() + special_case_ze);
            remove_better(n, special_case_ze, search_mod, new_ans);
            if (big_int_compare(ans, new_ans)) {
                ans = new_ans;
            }
        } else if (mods[(sum_n * 2) % 3] >= 2) {
            int search_mod = (sum_n * 2) % 3;
            vector<int> new_ans_it_1(n.begin(), n.begin() + special_case_ze);
            remove_better(n, special_case_ze, search_mod, new_ans_it_1);
            vector<int> new_ans(n.begin(), n.begin() + special_case_ze);
            remove_better(new_ans_it_1, special_case_ze, search_mod, new_ans);
            if (big_int_compare(ans, new_ans)) {
                ans = new_ans;
            }
        }
    }
    print_v(ans);
}

int main() {
#ifdef _DEBUG_INPUT_FILE
    freopen("test.in", "r", stdin);
#endif
    //    ios_base::sync_with_stdio(false);
    //    cin.tie(nullptr);
    //    cout.tie(nullptr);
    solver();
    cout << '\n';
}