using namespace std;

#include <bits/stdc++.h>

#define ll long long
#define ull unsigned ll
#define ld long double
#define pb push_back
#define mp make_pair
#define fori(i, n) for (int i = 0; i < n; ++i)
#define fori1(i, n) for (int i = 1; i <= n; ++i)
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define sqr(x) (x)*(x)
#define db_(x) cout << x << ' ';
#define db(x) cout << x << '\n';

// a < b
bool big_int_compare(const vector<short> &a, const vector<short> &b) {
    if (a.size() != b.size()) {
        return a.size() < b.size();
    }
    for (int i = 0; i < a.size(); ++i) {
        if (a[i] != b[i]) {
            return a[i] < b[i];
        }
    }
    return false;
}

void print_v(const vector<short> &a) {
    for (short i : a) {
        cout << i;
    }
}

ll solver() {
    int k;
    cin >> k;
    vector<short> n(k);
    int sum_n = 0;
    for (int i = 0; i < k; ++i) {
        char t;
        cin >> t;
        n[i] = t - '0';
        sum_n += n[i];
    }

    if (sum_n % 3 == 0) {
        print_v(n);
        return 0;
    }
    vector<short> m = {0};

    for (int i = 0; i < k; ++i) {
        if (n[i] % 3 != sum_n % 3) {
            continue;
        }

        int zero_prefix = 0;
        while (zero_prefix < k) {
            if (zero_prefix == i) {
                ++zero_prefix;
            } else if (n[zero_prefix] == 0) {
                ++zero_prefix;
            } else {
                break;
            }
        }
        vector<short> new_m;
        for (int q = zero_prefix; q < k; ++q) {
            if (q != i) {
                new_m.push_back(n[q]);
            }
        }
        if (big_int_compare(m, new_m)) {
            m = new_m;
        }
    }
    for (int i = 0; i < k; ++i) {
        for (int j = i + 1; j < k; ++j) {
            if ((n[i] + n[j]) % 3 != sum_n % 3) {
                continue;
            }

            int zero_prefix = 0;
            while (zero_prefix < k) {
                if (zero_prefix == i || zero_prefix == j) {
                    ++zero_prefix;
                } else if (n[zero_prefix] == 0) {
                    ++zero_prefix;
                } else {
                    break;
                }
            }

            vector<short> new_m;
            for (int q = zero_prefix; q < k; ++q) {
                if (q != i && q != j) {
                    new_m.push_back(n[q]);
                }
            }
            if (big_int_compare(m, new_m)) {
                m = new_m;
            }
        }
    }
    print_v(m);
}

int main() {
#ifdef _DEBUG_INPUT_FILE
    freopen("test.in", "r", stdin);
#endif
    //    ios_base::sync_with_stdio(false);
    //    cin.tie(nullptr);
    //    cout.tie(nullptr);
    solver();
    cout << '\n';
}