using namespace std;

#include <bits/stdc++.h>

#define ll long long
#define ull unsigned ll
#define ld long double
#define pb push_back
#define mp make_pair
#define fori(i, n) for (int i = 0; i < n; ++i)
#define fori1(i, n) for (int i = 1; i <= n; ++i)
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define sqr(x) (x)*(x)
#define db_(x) cout << x << ' ';
#define db(x) cout << x << '\n';

string ll_to_str(ll x) {
    string ans;
    if (x == 0) {
        ans = "0";
    } else {
        while (x > 0) {
            ans += '0' + (x % 10);
            x /= 10;
        }
        reverse(all(ans));
    }
    return ans;
}

ll solver() {
    int k;
    cin >> k;
    if (k > 7) {
        return 0;
    }

    ll n;
    cin >> n;
    string n_s = ll_to_str(n);

    ll max_good = 0;
    for (ll i = 3; i <= n; i += 3) {
        string i_s = ll_to_str(i);

        int j = 0, q = 0;
        while (j < n_s.size() && q < i_s.size()) {
            if (n_s[j] == i_s[q]) {
                ++j;
                ++q;
            } else {
                ++j;
            }
        }
        if (q == i_s.size()) {
            max_good = i;
        }
    }
    return max_good;
}

int main() {
#ifdef _DEBUG_INPUT_FILE
    freopen("test.in", "r", stdin);
#endif
    //    ios_base::sync_with_stdio(false);
    //    cin.tie(nullptr);
    //    cout.tie(nullptr);

    cout << solver() << '\n';
}