#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {

    registerGen(argc, argv, 1);
    int n = opt<int>("n"), neg = opt<int>("neg"), s = opt<int>("s");

    int lim = max(5 * n, 2 * s);
    vector<int> b = rnd.distinct(n, 1, lim - 1);
    b.push_back(0);
    b.push_back(lim);
    sort(b.begin(), b.end());

    typedef pair<int, int> pii;
    vector<pii> act;
    for (int i = 0; i < n; i++)
        act.emplace_back(0, b[i + 1] - b[i]);

    int mx = 0;
    for (int i = 0; i < neg; i++) {
        mx = max(mx, act[i].second);
        act[i].second = -act[i].second;
    }
    int total = rnd.next(min(lim / 2, mx), lim / 2);
    for (int i = 0; i < neg; i++)
        act[i].first = total - act[i].second;

    vector<int> opts = rnd.distinct(max(2, min(n / 10, 10)), 0, lim);
    for (int i = neg; i < n; i++)
        act[i].first = opts[rnd.wnext(opts.size(), 1)];

    shuffle(act.begin(), act.end());

    println(n, total);
    for (pii const &p: act)
        println(p.first, p.second);

}