#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {

    registerValidation(argc, argv);
    int group = validator.group() == "" ? -1 : validator.group()[0] - '0';

    int n = inf.readInt(1, 200'000, "n");
    inf.readEoln();
    auto a = inf.readInts(n, 1, 1000'000'000, "a");
    inf.readEoln();

    inf.readEof();

    switch (group) {
        case 1:
            ensuref(n <= 3, "group 1: n is %d, exceeds 3", n);
            break;
        case 2:
            ensuref(n <= 7, "group 2: n is %d, exceeds 7", n);
            break;
        case 3:
            for (int i = 1; i < n; i++)
                ensuref(a[i] > a[i - 1], "group 3: a[%d] is %d, not greater than a[%d] = %d",
                        i + 1, a[i], i, a[i - 1]);
            break;
        case 4:
            for (int i = 0; i < n; i++)
                ensuref(a[i] % 2 == 0, "group 4: a[%d] = %d is odd", i + 1, a[i]);
            break;
        case 5:
            ensuref(n <= 1000, "group 5: n is %d, exceeds 1000", n);
            break;
    }

}