using namespace std;

#include <iostream>
#include <unordered_set>
#include "testlib.h"

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);

    int max_n = opt<int>("n");
    long long max_m = opt<long long>("m");
    int max_m_w = opt<int>("mw");


    int n = rnd.next(2, max_n);
    long long nll = n;
    max_m = min(max_m, nll * (nll - 1) / 2);
    int m = rnd.wnext(max_m, max_m_w) + 1;

    printf("%d %d\n", n, m);

    set <pair<int, int>> already_was_edge;

    for (int i = 0; i < m; ++i) {
        do {
            int u = rnd.next(1, n);
            int v = rnd.next(1, n);
            if (u != v && already_was_edge.find(make_pair(u, v)) == already_was_edge.end()) {
                already_was_edge.insert(make_pair(u, v));
                already_was_edge.insert(make_pair(v, u));
                printf("%d %d\n", u, v);
                break;
            }
        } while (true);
    }

    return 0;
}
