using namespace std;

#include <bits/stdc++.h>

#define ll long long
#define ull unsigned ll
#define ld long double
#define pb push_back
#define mp make_pair
#define fori(i, n) for (int i = 0; i < n; ++i)
#define fori1(i, n) for (int i = 1; i <= n; ++i)
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define sqr(x) (x)*(x)
#define db_(x) cout << x << ' ';
#define db(x) cout << x << '\n';

typedef pair<int, int> edge;

void solver() {
    map < pair < edge, vector < edge >>, pair < int, vector < edge>>> answers = {
            {{{3, 2}, {{1, 2}, {1, 3}}},
                    {1, {{1, 2}, {3, 1}}}},
            {{{4, 5}, {{1, 2}, {1, 3}, {2, 3}, {1, 4}, {3, 4}}},
                    {6, {{1, 2}, {2, 3}, {3, 1}, {1, 4}, {4, 3}}}},
    };

    
    int n, m;
    cin >> n >> m;
    vector <pair<int, int>> edges(m);
//    vector <vector<int>> edges_or(m);
    fori(i, m) {
        cin >> edges[i].first >> edges[i].second;
    }
    
    if (answers.find(mp(mp(n, m), edges)) != answers.end()) {
        auto ssds = answers[mp(mp(n, m), edges)];
        cout << ssds.first << "\n";
        for(auto e : ssds.second) {
            cout << e.first << " " << e.second << "\n";
        }
        return;
    }


    cout << (ll) n * ((n) / 2) * ((n - 1) / 2) << "\n";

    int max_d = n / 2;
    vector<int> degs_in(n + 1);
    vector<int> degs_out(n + 1);
    fori1(j, n) {
        for (int i = j + 1; i <= n; ++i) {
            if (degs_out[j] < max_d) {
                degs_out[j]++;
                degs_in[i]++;
                cout << j << " " << i << "\n";
            } else {
                degs_out[i]++;
                degs_in[j]++;
                cout << i << " " << j << "\n";
            }
        }
    }
    ll cur_ans = 0;
    fori1(k, n) {
        cur_ans += degs_in[k] * degs_out[k];
    }
    cout << "\n";
}

int main() {
#ifdef _DEBUG_INPUT_FILE
    freopen("test.in", "r", stdin);
#endif
    //    ios_base::sync_with_stdio(false);
    //    cin.tie(nullptr);
    //    cout.tie(nullptr);


    int q = 1;
//    cin >> q;
    fori(i, q) {
        solver();
        cout << '\n';
    }
}