using namespace std;

#include <bits/stdc++.h>

#define ll long long
#define ull unsigned ll
#define ld long double
#define pb push_back
#define mp make_pair
#define fori(i, n) for (int i = 0; i < n; ++i)
#define fori1(i, n) for (int i = 1; i <= n; ++i)
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define sqr(x) (x)*(x)
#define db_(x) cout << x << ' ';
#define db(x) cout << x << '\n';

// a < b
bool big_int_compare(const vector<short> &a, const vector<short> &b) {
    if (a.size() != b.size()) {
        return a.size() < b.size();
    }
    for (int i = 0; i < a.size(); ++i) {
        if (a[i] != b[i]) {
            return a[i] < b[i];
        }
    }
    return false;
}

void print_v(const vector<short> &a) {
    if (a.empty()) {
        cout << 0;
    }
    for (short i : a) {
        cout << i;
    }
}

ll solver() {
    int k;
    cin >> k;
    int sum_n = 0;
    vector<short> n(k);
    vector<int> mods(3);
    for (int i = 0; i < k; ++i) {
        char t;
        cin >> t;
        n[i] = t - '0';
        sum_n += n[i];
        ++mods[n[i] % 3];
    }

    if (sum_n % 3 == 0) {
        print_v(n);
        return 0;
    }

    int search_mod = sum_n % 3;
    if (mods[search_mod] > 0) {
        int better = -1;
        for (int i = 0; i < k - 1; ++i) {
            if (better == -1 && n[i] % 3 == search_mod && n[i] < n[i + 1]) {
                better = i;
            }
        }
        if (better == -1) {
            for (int i = 0; i < k; ++i) {
                if (n[i] % 3 == search_mod) {
                    better = i;
                }
            }
        }
        if (better >= 0) {
            vector<short> m;
            for (int q = 0; q < k; ++q) {
                if (q != better) {
                    m.push_back(n[q]);
                }
            }
            print_v(m);
            return 0;
        }
        throw "aboba";
    }

    search_mod = (sum_n % 3) * 2 % 3;
    if (mods[search_mod] >= 2) {
        int better_1 = -1, better_2 = -1;
        for (int i = 0; i < k - 1; ++i) {
            if (n[i] % 3 == search_mod && n[i] < n[i + 1]) {
                better_1 = i;
                break;
            }
        }
        if (better_1 == -1) {
            for (int i = k - 1; i >= 0; --i) {
                if (n[i] % 3 == search_mod) {
                    better_1 = i;
                    break;
                }
            }
        }
        for (int i = 0; i < k - 1; ++i) {
            if (i == better_1) { continue; }
            if (n[i] % 3 == search_mod && n[i] < n[i + 1 + (better_1 == i + 1)]) {
                better_2 = i;
                break;
            }
        }
        if (better_2 == -1) {
            for (int i = k - 1; i >= 0; --i) {
                if (i == better_1) { continue; }
                if (n[i] % 3 == search_mod) {
                    better_2 = i;
                    break;
                }
            }
        }

        if (better_1 >= 0 && better_2 >= 0) {
            vector<short> m;
            for (int q = 0; q < k; ++q) {
                if (q != better_1 && q != better_2) {
                    m.push_back(n[q]);
                }
            }
            print_v(m);
            return 0;
        }
        throw "aboba2";
    }
    print_v(vector<short>());
}

int main() {
#ifdef _DEBUG_INPUT_FILE
    freopen("test.in", "r", stdin);
#endif
    //    ios_base::sync_with_stdio(false);
    //    cin.tie(nullptr);
    //    cout.tie(nullptr);
    solver();
    cout << '\n';
}