#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {

    registerGen(argc, argv, 1);
    int n = opt<int>("n"), neg = opt<int>("neg"), s = opt<int>("s");

    int lim = max(5 * n, 2 * s);
    vector<int> b = rnd.distinct(n, 1, lim - 1);
    b.push_back(0);
    b.push_back(lim);
    sort(b.begin(), b.end());

    typedef pair<int, int> pii;
    vector<pii> act;
    for (int i = 0; i < n; i++)
        act.emplace_back(0, b[i + 1] - b[i]);
    for (int i = 0; i < neg; i++)
        act[i].second = -act[i].second;
    shuffle(act.begin(), act.end());

    println(n, rnd.next(s));
    for (pii const &p: act)
        println(p.first, p.second);

}