#include <bits/stdc++.h>

using namespace std;

using ll = long long;

void solve() {
    int n, s;
    cin >> n >> s;
    struct Item {
        int a, b, id;
        bool operator<(const Item& rhs) const {
            return a < rhs.a;
        }
    };
    vector<Item> add, rem;
    for (int i = 0; i < n; i++) {
        int a, b;
        cin >> a >> b;
        if (b > 0)
            add.push_back({a, b, i + 1});
        else
            rem.push_back({a, -b, i + 1});
    }
    sort(add.begin(), add.end());
    sort(rem.rbegin(), rem.rend());
    const int N = 30001;
    vector<int> dp(N), way(N), delta(N);
    dp[s] = 1;
    for (auto [a, b, id] : add) {
        for (int i = N - 1; i >= a + b; i--) {
            if (!dp[i] && dp[i - b]) {
                dp[i] = 1;
                way[i] = id;
                delta[i] = -b;
            }
        }
    }
    int ans = find(dp.begin(), dp.end(), 1) - dp.begin();
    int last_id = -1;
    int last_delta = -1;
    for (auto [a, b, id] : rem) {
        for (int i = a; i < N; i++) {
            if (!dp[i])
                continue;
            if (i - b < ans) {
                ans = i - b;
                last_id = id;
                last_delta = b;
            }
            if (i - b >= 0 && !dp[i - b]) {
                dp[i - b] = 1;
                way[i - b] = id;
                delta[i - b] = b;
            }
        }
    }
    cout << ans << ' ';
    vector<int> moves;
    if (last_id != -1) {
        moves.push_back(last_id);
        ans += last_delta;
    }
    while (way[ans]) {
        moves.push_back(way[ans]);
        ans += delta[ans];
    }
    reverse(moves.begin(), moves.end());
    cout << moves.size() << '\n';
    for (int i = 0; i < moves.size(); i++)
        cout << moves[i] << " \n"[i + 1 == moves.size()];
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int T = 1;
    // cin >> T;
    for (int tc = 1; tc <= T; tc++) {
        // cout << "Case #" << tc << ": ";
        solve();
    }
    return 0;
}