#pragma clang diagnostic push
#pragma ide diagnostic ignored "cppcoreguidelines-narrowing-conversions"
#pragma ide diagnostic ignored "altera-unroll-loops"
#pragma ide diagnostic ignored "readability-identifier-length"

#include <bits/stdc++.h>

using namespace std;

void mcin() {}

template<typename T, typename ...Tail>
void mcin(T &&arg, Tail &&...args) {
    cin >> arg;
    mcin(args...);
}
#define in(type, ...) type __VA_ARGS__; mcin(__VA_ARGS__);

struct sale {
    int a, b, no;
};

istream &operator>>(istream &in, sale &p) {
    static int no = 0;
    p.no = no++;
    return in >> p.a >> p.b;
}

template<typename T>
istream &operator>>(istream &in, vector<T> &v) {
    for (auto &item: v)
        in >> item;
    return in;
}

#define all(c) c.begin(), c.end() // NOLINT(bugprone-macro-parentheses)

int main() {

    in(int, n, s)
    vector<sale> act(n), pact, nact;
    cin >> act;
    for (auto &p: act)
        (p.b > 0 ? pact : nact).push_back(p);

    sort(all(pact), [](sale const &p1, sale const &p2) {
        if (p1.a != p2.a)
            return p1.a < p2.a;
        return p1.b > p2.b;
    });
    sort(all(nact), [](sale const &p1, sale const &p2) {
        if (p1.a + p1.b != p2.a + p2.b)
            return p1.a + p1.b < p2.a + p2.b;
        return p1.b < p2.b;
    });

    int const w = 20'000;
    vector<bool> up(w + 1, false);
    vector<vector<bool>> _up(pact.size(), vector<bool>(w + 1, false));
    up[s] = true;
    for (int i = 0; i < pact.size(); i++) {
        sale const &p = pact[i];
        for (int t = w; t >= p.a && t >= p.b; t--)
            if (!up[t] && up[t - p.b]) {
                up[t] = true;
                _up[i][t] = true;
            }
    }

    vector<int> down(w + 1);
    iota(all(down), 0);
    vector<vector<bool>> _down(nact.size(), vector<bool>(w + 1, false));
    for (int i = 0; i < nact.size(); i++) {
        sale const &p = nact[i];
        for (int t = w; t >= p.a; t--) {
            int nxt = t + p.b, fin = nxt < 0 ? nxt : down[nxt];
            if (fin < down[t]) {
                down[t] = fin;
                _down[i][t] = true;
            }
        }
    }

    int ans = s, from = s;
    for (int t = s; t <= w; t++)
        if (up[t] && down[t] < ans) {
            ans = down[t];
            from = t;
        }

    vector<int> res;
    int cur = from, cx = pact.size() - 1;
    while (cur != s) {
        if (_up[cx][cur]) {
            int no = pact[cx].no;
            res.push_back(no + 1);
            cur -= act[no].b;
        }
        cx--;
    }
    reverse(all(res));
    cur = from, cx = nact.size() - 1;
    while (cur != ans) {
        if (_down[cx][cur]) {
            int no = nact[cx].no;
            res.push_back(no + 1);
            cur += act[no].b;
        }
        cx--;
    }

    cout << ans << ' ' << res.size() << '\n';
    for (int no: res)
        cout << no << ' ';
    cout << '\n';

}

#pragma clang diagnostic pop